Bug 712682 - Review Request: pinpoint - a tool for making hackers do excellent presentations
Summary: Review Request: pinpoint - a tool for making hackers do excellent presentations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-12 13:35 UTC by Paul W. Frields
Modified: 2011-06-24 03:32 UTC (History)
4 users (show)

Fixed In Version: pinpoint-0.1.2-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 03:32:11 UTC
Type: ---
pbrobinson: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paul W. Frields 2011-06-12 13:35:39 UTC
Spec URL: http://pfrields.fedorapeople.org/packages/SPECS/pinpoint.spec
SRPM URL: http://pfrields.fedorapeople.org/packages/SRPMS/pinpoint-0.1.2-1.fc15.src.rpm
Description: Pinpoint a simple presentation tool that hopes to avoid audience death by bullet point and instead encourage presentations containing beautiful images and small amounts of concise text in slides.

Comment 1 Paul W. Frields 2011-06-12 13:37:50 UTC
rpmlint output:
* * *

$ rpmlint rpmbuild/SPECS/pinpoint.spec rpmbuild/SRPMS/pinpoint-0.1.2-1.fc15.src.rpm rpmbuild/RPMS/x86_64/pinpoint-0.1.2-1.fc15.x86_64.rpm 
pinpoint.x86_64: W: no-manual-page-for-binary pinpoint
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

Comment 2 Peter Robinson 2011-06-12 18:28:40 UTC
I'll review this one

Comment 3 Peter Robinson 2011-06-12 23:18:41 UTC
Looks good. APPROVED!

Nice and simple package :)

Just a minor note. With the removal of %clean you can also remove the "rm -rf $RPM_BUILD_ROOT" in the install section.

+ rpmlint output

rpmlint pinpoint-*fc16* pinpoint.spec 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ latest version packaged

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  50dca7a5fb5c55d303a79876c0444be3  pinpoint-0.1.2.tar.gz
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ Package perserves timestamps on install
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package runtime 
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream to include it
n/a translations of description and summary for non-English languages, if available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a non -devel packages should require fully versioned base
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin
n/a Package should have man files

Comment 4 Paul W. Frields 2011-06-13 11:56:51 UTC
New Package SCM Request
=======================
Package Name: pinpoint
Short Description: A tool for making hackers do excellent presentations
Owners: pfrields pbrobinson
Branches: f15
InitialCC:

Comment 5 Gwyn Ciesla 2011-06-13 13:11:28 UTC
Git done (by process-git-requests).

Comment 6 Gwyn Ciesla 2011-06-13 13:13:20 UTC
FYI, git is not *quite* done, as pkgs.fp.o is down ATM. . .

Comment 7 Gwyn Ciesla 2011-06-13 13:28:27 UTC
Ok, should be good now.

Comment 8 Fedora Update System 2011-06-13 18:39:04 UTC
pinpoint-0.1.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pinpoint-0.1.2-1.fc15

Comment 9 Fedora Update System 2011-06-15 05:39:22 UTC
pinpoint-0.1.2-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 10 Fedora Update System 2011-06-24 03:32:06 UTC
pinpoint-0.1.2-1.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.